Skip to main content
GET
/
v1
/
wallets
/
{address}
/
charts
/
{chart_period}
Get wallet balance chart
curl --request GET \
  --url https://api.zerion.io/v1/wallets/{address}/charts/{chart_period} \
  --header 'Authorization: Basic <encoded-value>'
{
  "links": {
    "self": "https://api.zerion.io/v1/wallets/0x42b9df65b219b3dd36ff330a4dd8f327a6ada990/charts/day"
  },
  "data": {
    "type": "wallet_chart",
    "id": "0x42b9df65b219b3dd36ff330a4dd8f327a6ada990-day",
    "attributes": {
      "begin_at": "2023-01-18T11:00:00Z",
      "end_at": "2023-01-25T10:30:00Z",
      "points": [
        [
          1674039600,
          1145.00999
        ]
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

chart_period
enum<string>
default:day
required

Chart period

Available options:
hour,
day,
week,
month,
3months,
6months,
year,
5years,
max
Required string length: 3 - 7
address
required

The web3 wallet address A wallet address, which can be either an EVM or Solana address

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x42b9df65b219b3dd36ff330a4dd8f327a6ada990"

Query Parameters

currency
enum<string>
default:usd

Denominated currency value of returned prices

Available options:
eth,
btc,
usd,
eur,
krw,
rub,
gbp,
aud,
cad,
inr,
jpy,
nzd,
try,
zar,
cny,
chf
filter[chain_ids]
string[]

Account only for balance on these chains (comma-separated list). Available chain ids can be found in chains endpoints.

Maximum array length: 25
Example:
["aurora"]
filter[fungible_ids]
string[]

Account only for balance of given fungible assets (comma-separated list).

Maximum array length: 25
Maximum string length: 44

Response

Resource for the requested wallet chart

data
object
required